Subject: RE: [Idr] A question on longest match

From: "john smith" <[email-masked]>
Date: Tue, 01 Jun 2004 08:19:09 +0000

Hello Big Brother,

It is specifically releated to BGP.

Aggregation in non DV protocols is not a possibility unless one goes across 
Area/Level boundarys.

This is due to their inherent nature of sending advertisements of "all 
connected networks" to "all nodes in the same level or area".

Now you do believe aggregation is good, do you not? I am sure you do!

Now to further that assumption, if aggregation is good, and one was to make 
a forwarding device which would not do Layer 3 lookup based on the bit 
aligned boundaries, but on ranges, would it be considered bad or good?

Also please let me know if this is not an item to dicuss on idr, or should 
the be specifically targetted to the routing-discussion mailing list? In 
that case I shall not cc the list further on these queries.

--
(&)
Little John.

>From: "John Smith" <[email-masked]>
>To: <[email-masked]>
>Subject: RE: [Idr] A question on longest match
>Date: Tue, 1 Jun 2004 13:43:25 +0530
>
>Is your question related to BGP or is it related to general routing
>(networking) principles?
>
>If its the latter then you need to start with a good book on basic
>networking principles (unless ofcourse i am missing your point altogether!)
>and if its the latter, then it doesn't make much sense to me ! Care to
>elaborate?
>
>--
>(&)
>Big brother John
>
>----- Original Message -----
>From: "john smith" <[email-masked]>
>To: <[email-masked]>
>Sent: Tuesday, June 01, 2004 1:19 PM
>Subject: [Idr] A question on longest match
>
>
> > Hello,
> >
> > Is there any specific reason why the BGP algorithm relies on the longest
> > match paradigm?
> >
> > Is there any reason why one cannot simply propogate the "range of
>addresses"
> > and use different metrics?
> > For example one could say "address numbers 100000 - 212123 are here and
> > 212124 - 312127 are there?
> >
> > Would this not lead to considerable reduction of the size of the
>forwarding
> > table?
> >
> > --
> > (&)
> > Little John.
> >
> > _________________________________________________________________
> > Add photos to your messages with MSN 8. Get 2 months FREE*.
> > http://join.msn.com/?page=features/featuredemail
> >
> >
> > _______________________________________________
> > Idr mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/idr
> >
>
>

_________________________________________________________________
The new MSN 8: advanced junk mail protection and 2 months FREE* 
http://join.msn.com/?page=features/junkmail

_______________________________________________
Idr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/idr

---

From: "Howard C. Berkowitz" <[email-masked]>
Date: Tue, 1 Jun 2004 12:44:38 -0400

At 8:19 AM +0000 6/1/04, john smith wrote:
>Aggregation in non DV protocols is not a possibility unless one goes 
>across Area/Level boundarys.

Maybe I'm missing something, but I wouldn't make that claim. 
Hierarchical topology and multiple levels are not a requirement of 
routing protocols. Many large ISPs run very big single ISIS areas. 
So, there very well may not be Area/Level boundaries to cross.

Hierarchical information hiding MAY be a useful deployment technique 
in LS protocols to reduce the computational load of the Dijkstra 
algorithm, but it's perfectly reasonable and plausible to build 
hierarchical networks in protocols as simple as RIPv1 -- start with 
Class C (usually private space) at the edge and work up, eventually 
going to Class B.

>
>This is due to their inherent nature of sending advertisements of 
>"all connected networks" to "all nodes in the same level or area".
>
>Now to further that assumption, if aggregation is good, and one was 
>to make a forwarding device which would not do Layer 3 lookup based 
>on the bit aligned boundaries, but on ranges, would it be considered 
>bad or good?
>
>Also please let me know if this is not an item to dicuss on idr, or 
>should the be specifically targetted to the routing-discussion 
>mailing list? In that case I shall not cc the list further on these 
>queries.
>
>--
>(&)
>Little John.
>